petsc-3.4.2 2013-07-02

# VecSetValuesLocal

Inserts or adds values into certain locations of a vector, using a local ordering of the nodes.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSetValuesLocal(Vec x,PetscInt ni,const PetscInt ix[],const PetscScalar y[],InsertMode iora)

Not Collective

### Input Parameters

| x | - vector to insert in
| ni | - number of elements to add
| ix | - indices where to add
| y | - array of values
| iora | - either INSERT_VALUES or ADD_VALUES, where ADD_VALUES adds values to any existing entries, and INSERT_VALUES replaces existing entries with new values

### Notes

VecSetValuesLocal() sets x[ix[i]] = y[i], for i=0,...,ni-1.

Calls to VecSetValues() with the INSERT_VALUES and ADD_VALUES options cannot be mixed without intervening calls to the assembly routines.

These values may be cached, so VecAssemblyBegin() and VecAssemblyEnd() MUST be called after all calls to VecSetValuesLocal() have been completed.

VecSetValuesLocal() uses 0-based indices in Fortran as well as in C.

### See Also

VecAssemblyBegin(), VecAssemblyEnd(), VecSetValues(), VecSetLocalToGlobalMapping(),
VecSetValuesBlockedLocal()

Level:intermediate
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex8.c.html
src/ksp/ksp/examples/tutorials/ex31.c.html
src/snes/examples/tutorials/ex61.c.html
src/snes/examples/tutorials/ex63.c.html
src/snes/examples/tutorials/ex633d_db.c.html
src/snes/examples/tutorials/ex64.c.html
src/snes/examples/tutorials/ex65.c.html
src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html